Skip to Content
New release 12 available 🎉

Release Assemblies

All PUT endpoints update only the fields present in the body; see Updating Resources.

GET/v1/products/{productId}/releases/{releaseId}/assembliesGET /v1/products/{productId}/releases/{releaseId}/assemblies

Code samples

# You can also use wget curl -X GET /v1/products/{productId}/releases/{releaseId}/assemblies \ -H 'Accept: text/plain' \ -H 'x-api-key: API_KEY'

GET /v1/products/\{productId\}/releases/\{releaseId\}/assemblies

Gets the assemblies of a product release.

Parameters

NameInTypeRequiredDescription
productIdpathinteger(int32)trueThe product ID.
releaseIdpathinteger(int32)trueThe release ID.
selectquerystringfalsenone
filterquerystringfalsenone
sortquerystringfalsenone
takequeryinteger(int32)falsenone
skipqueryinteger(int32)falsenone

Example responses

200 Response

{"success":true,"code":0,"message":"string","assemblies":[{"id":0,"name":"string","version":"string","culture":"string","publicKeyToken":"string","mappingFileId":0,"debugSymbolsKey":"string"}],"totalAssembliesCount":0}
{ "success": true, "code": 0, "message": "string", "assemblies": [ { "id": 0, "name": "string", "version": "string", "culture": "string", "publicKeyToken": "string", "mappingFileId": 0, "debugSymbolsKey": "string" } ], "totalAssembliesCount": 0 }

Responses

StatusMeaningDescriptionSchema
200OK OKManagement.GetProductReleaseAssembliesResponse

Authentication: API key (x-api-key).

POST/v1/products/{productId}/releases/{releaseId}/assembliesPOST /v1/products/{productId}/releases/{releaseId}/assemblies

Code samples

# You can also use wget curl -X POST /v1/products/{productId}/releases/{releaseId}/assemblies \ -H 'Content-Type: application/json-patch+json' \ -H 'Accept: text/plain' \ -H 'x-api-key: API_KEY'

POST /v1/products/\{productId\}/releases/\{releaseId\}/assemblies

Inserts a new assembly for a product release.

Body parameter

{ "productId": 0, "releaseId": 0, "assembly": { "id": 0, "name": "string", "version": "string", "culture": "string", "publicKeyToken": "string", "mappingFileId": 0, "debugSymbolsKey": "string" } }

Parameters

NameInTypeRequiredDescription
productIdpathinteger(int32)trueThe product ID.
releaseIdpathinteger(int32)trueThe release ID.
bodybodyManagement.InsertProductReleaseAssemblyRequestfalseThe request containing the product release assembly to insert.

Example responses

200 Response

{"assemblyId":0,"success":true,"code":0,"message":"string"}
{ "assemblyId": 0, "success": true, "code": 0, "message": "string" }

Responses

StatusMeaningDescriptionSchema
200OK OKManagement.InsertProductReleaseAssemblyResponse

Authentication: API key (x-api-key).

PUT/v1/products/{productId}/releases/{releaseId}/assembliesPUT /v1/products/{productId}/releases/{releaseId}/assemblies

Code samples

# You can also use wget curl -X PUT /v1/products/{productId}/releases/{releaseId}/assemblies \ -H 'Content-Type: application/json-patch+json' \ -H 'Accept: text/plain' \ -H 'x-api-key: API_KEY'

PUT /v1/products/\{productId\}/releases/\{releaseId\}/assemblies

Updates an existing assembly for a product release.

Body parameter

{ "assembly": { "id": 0, "name": "string", "version": "string", "culture": "string", "publicKeyToken": "string", "mappingFileId": 0, "debugSymbolsKey": "string" } }

Parameters

NameInTypeRequiredDescription
productIdpathinteger(int32)trueThe product ID.
releaseIdpathinteger(int32)trueThe release ID.
bodybodyManagement.UpdateProductReleaseAssemblyRequestfalseThe request containing the product release assembly to update.

Example responses

200 Response

{"assemblyId":0,"success":true,"code":0,"message":"string"}
{ "assemblyId": 0, "success": true, "code": 0, "message": "string" }

Responses

StatusMeaningDescriptionSchema
200OK OKManagement.UpdateProductReleaseAssemblyResponse

Authentication: API key (x-api-key).

DELETE/v1/products/{productId}/releases/{releaseId}/assemblies/{assemblyId}DELETE /v1/products/{productId}/releases/{releaseId}/assemblies/{assemblyId}

Code samples

# You can also use wget curl -X DELETE /v1/products/{productId}/releases/{releaseId}/assemblies/{assemblyId} \ -H 'Accept: text/plain' \ -H 'x-api-key: API_KEY'

DELETE /v1/products/\{productId\}/releases/\{releaseId\}/assemblies/\{assemblyId\}

Deletes an existing assembly for a product release.

Parameters

NameInTypeRequiredDescription
productIdpathinteger(int32)trueThe product ID.
releaseIdpathinteger(int32)trueThe release ID.
assemblyIdpathinteger(int32)trueThe assembly ID.

Example responses

200 Response

{"success":true,"code":0,"message":"string"}
{ "success": true, "code": 0, "message": "string" }

Responses

StatusMeaningDescriptionSchema
200OK OKManagement.DeleteProductReleaseAssemblyResponse

Authentication: API key (x-api-key).

Last updated on